Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Interface QuoteSymbolCharChecker

All Known Implementing Classes:
  QuoteSymbolCharCheckerImpl

    public interface QuoteSymbolCharChecker

Field Summary
`static QuoteSymbolCharChecker` | `NULL`

Method Summary
`int` | `foundEscapedQuoteSymbol(char[] data, int start, int length)`
`boolean` | `foundEscapedQuoteSymbol(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`int` | `foundQuoteSymbol(char[] data, int start, int length)`
`boolean` | `foundQuoteSymbol(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`int` | `length()`
`int` | `readEscapedQuoteSymbol(char[] data, int start, int length, CharArrayBuilder charArrayBuilder)`

Field Detail

### NULL

    static final QuoteSymbolCharChecker NULL

Method Detail

### foundEscapedQuoteSymbol

    boolean foundEscapedQuoteSymbol(CharBuffer recordBuffer,
                                    CharArrayBuilder charArrayBuilder)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEscapedQuoteSymbol

    int foundEscapedQuoteSymbol(char[] data,
                                int start,
                                int length)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readEscapedQuoteSymbol

    int readEscapedQuoteSymbol(char[] data,
                               int start,
                               int length,
                               CharArrayBuilder charArrayBuilder)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    boolean foundQuoteSymbol(CharBuffer recordBuffer,
                             CharArrayBuilder charArrayBuilder)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    int foundQuoteSymbol(char[] data,
                         int start,
                         int length)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### length

    int length()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD